org.wso2.carbon.dataservices.ui.fileupload

## Class DBSFileUploadClient

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.fileupload.DBSFileUploadClient

-     public class DBSFileUploadClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBSFileUploadClient(org.apache.axis2.context.ConfigurationContext ctx, String serverURL, String cookie)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `uploadService(String fileName, String serviceHierarchy, DataHandler dataHandler)`
    `void` | `uploadWsdl(String fileName, DataHandler dataHandler)`
    `void` | `uploadWSDLWithURL(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBSFileUploadClient

          public DBSFileUploadClient(org.apache.axis2.context.ConfigurationContext ctx,
                                     String serverURL,
                                     String cookie)
                              throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### uploadService

          public void uploadService(String fileName,
                                    String serviceHierarchy,
                                    DataHandler dataHandler)
                             throws Exception

      Throws:
        `Exception`

    - #### uploadWsdl

          public void uploadWsdl(String fileName,
                                 DataHandler dataHandler)
                          throws Exception

      Throws:
        `Exception`

    - #### uploadWSDLWithURL

          public void uploadWSDLWithURL(String url)
                                 throws Exception

      Throws:
        `Exception`

Copyright © 2018 WSO2. All rights reserved.